Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage overlay] pro audio production applications
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 30, 31, 32, 33  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Mar 05, 2009 6:01 pm    Post subject: Reply with quote

audiodef wrote:
realtime-lsm still fails to compile, though.

Also, this link says "make sure you have the latest version of PAM installed from the overlay" - is this even if the non-overlay version of pam is higher than the overlay version?

realtime-lsm is deprecated, so are LSMs in general.

Also the info about latest PAM is outdated. Current in-portage versions are RLIMITS-aware.

Both articles could need a major overhaul.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Tue Mar 10, 2009 1:41 am    Post subject: Emerge wired fails Reply with quote

Like so:

Code:

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-sound/wired-0.6 from proaudio
 * wired-0.6.tar.gz RMD160 SHA1 SHA256 size ;-) ...                      [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
>>> Unpacking wired-0.6.tar.gz to /var/tmp/portage/media-sound/wired-0.6/work
>>> Source unpacked in /var/tmp/portage/media-sound/wired-0.6/work
>>> Compiling source in /var/tmp/portage/media-sound/wired-0.6/work/wired-0.6 ...
 * Checking wxGTK-2.6 for X support ...
 *
 * ERROR: media-sound/wired-0.6 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2226:  Called need-wxwidgets 'unicode'
 *             environment, line 2022:  Called check_wxuse 'X'
 *             environment, line  438:  Called built_with_use '=x11-libs/wxGTK-2.6*' 'X'
 *             environment, line  212:  Called die
 * The specific snippet of code:
 *       [[ -z ${PKG} ]] && die "Unable to resolve $1 to an installed package";
 *  The die message:
 *   Unable to resolve =x11-libs/wxGTK-2.6* to an installed package
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/wired-0.6/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/wired-0.6/temp/environment'.
 * This ebuild is from an overlay named 'proaudio': '/usr/local/portage/layman/pro-audio/'

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 2:01 am    Post subject: media-libs/libdsp-5.0.2 fails Reply with quote

This fails if you emerge the overlay version, but not the gentoo version, same version number.

Here's the emerge output:

Code:

>>> Emerging (1 of 8) media-libs/libdsp-5.0.2 from proaudio
 * libdsp-src-5.0.2.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                 [ ok ]
 * checking ebuild checksums ;-) ...                                                                       [ ok ]
 * checking auxfile checksums ;-) ...                                                                      [ ok ]
 * checking miscfile checksums ;-) ...                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking libdsp-src-5.0.2.tar.gz to /var/tmp/portage/media-libs/libdsp-5.0.2/work
 * Patched with esed: libDSP-5.0.2/Makefile
 * Patched with esed: Inlines-1.4.0/Makefile
 * Patched with esed: libDSP-5.0.2/Makefile
 * Patched with esed: DynThreads-1.0.2/Makefile
 * Patched with esed: libDSP-5.0.2/Makefile
 * Patched with esed: DynThreads-1.0.2/Makefile
 * Patched with esed: libDSP-5.0.2/Makefile
 * Patched with esed: DynThreads-1.0.2/Makefile
 * Patched with esed: libDSP-5.0.2/Makefile
 * Patched with esed: Inlines-1.4.0/Condition.hh
 * Patched with esed: Inlines-1.4.0/Mutex.hh
 * Patched with esed: Inlines-1.4.0/RWLock.hh
 * Patched with esed: DynThreads-1.0.2/DynThreads.cc
 * Patched with esed: DynThreads-1.0.2/DynThreads.hh
>>> Source unpacked in /var/tmp/portage/media-libs/libdsp-5.0.2/work
>>> Compiling source in /var/tmp/portage/media-libs/libdsp-5.0.2/work/libdsp-src-5.0.2 ...
make
Makefile:63: DynThreads.dep: No such file or directory
i686-pc-linux-gnu-g++ -MM -D_REENTRANT -D_THREAD_SAFE -DUSE_NPTL -I. -I../Inlines -I/usr/include DynThreads.cc >DynThreads.dep
i686-pc-linux-gnu-g++ -O2 -march=i686 -pipe -D_REENTRANT -D_THREAD_SAFE -DUSE_NPTL -I. -I../Inlines -I/usr/include -c DynThreads.cc
ar rc libDynThreads.a DynThreads.o
ranlib libDynThreads.a
i686-pc-linux-gnu-g++ -O2 -march=i686 -pipe -D_REENTRANT -D_THREAD_SAFE -DUSE_NPTL -I. -I. -I../Inlines -I/usr/include -o test Test.cc -L. -lDynThreads -lpthread
make
Makefile:194: libdsp.dep: No such file or directory
i686-pc-linux-gnu-g++ -D_REENTRANT -D_THREAD_SAFE -D_ISOC9X_SOURCE -D_GNU_SOURCE -DUSE_MEMMOVE -I. -I../Inlines -I/usr/include -MM DSPOp.cc FFTDecimator.cc FFTInterpolator.cc FFTMultiRate.cc Filter.cc FIRDecimator.cc FIRInterpolator.cc FIRMultiRate.cc FlipBand.cc Hankel.cc IIRCascade.cc IIRDecimator.cc IIRInterpolator.cc IIRMultiRate.cc ReBuffer.cc RecDecimator.cc RecInterpolator.cc Transform4.cc Transform8.cc TransformS.cc cdspop.cc X86.c >libdsp.dep
i686-pc-linux-gnu-g++ -O2 -march=i686 -pipe -D_REENTRANT -D_THREAD_SAFE -D_ISOC9X_SOURCE -D_GNU_SOURCE -DUSE_MEMMOVE -I. -I../Inlines -I/usr/include -c DSPOp.cc
In file included from dsp/DSPOp.hh:31,
                 from DSPOp.cc:42:
../Inlines/Alloc.hh: In member function 'void* clAlloc::Resize(long int)':
../Inlines/Alloc.hh:142: error: 'memcpy' was not declared in this scope
../Inlines/Alloc.hh: In member function 'void clAlloc::Copy(const clAlloc&)':
../Inlines/Alloc.hh:226: error: 'memcpy' was not declared in this scope
DSPOp.cc: In static member function 'static void clDSPOp::Copy(float*, const float*, long int)':
DSPOp.cc:2863: error: 'memmove' was not declared in this scope
DSPOp.cc: In static member function 'static void clDSPOp::Copy(double*, const double*, long int)':
DSPOp.cc:2915: error: 'memmove' was not declared in this scope
DSPOp.cc: In static member function 'static void clDSPOp::Copy(_sSCplx*, _sSCplx*, long int)':
DSPOp.cc:2972: error: 'memmove' was not declared in this scope
DSPOp.cc: In static member function 'static void clDSPOp::Copy(_sDCplx*, _sDCplx*, long int)':
DSPOp.cc:3026: error: 'memmove' was not declared in this scope
make: *** [DSPOp.o] Error 1
 *
 * ERROR: media-libs/libdsp-5.0.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2293:  Called die
 * The specific snippet of code:
 *       emake ${myconf} || die "libDSP make failed!"
 *  The die message:
 *   libDSP make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/libdsp-5.0.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libdsp-5.0.2/temp/environment'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/local/portage/layman/pro-audio/eclass/exteutils.eclass
 * This ebuild is from an overlay named 'proaudio': '/usr/local/portage/layman/pro-audio/'
 

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 12:11 pm    Post subject: Pro-audio bug tracker signup page is blank Reply with quote

I went to file a bug report for a pro-audio package. The signup page, http://proaudio.tuxfamily.org/bugs/signup_page.php, is blank. This was linked from http://proaudio.tuxfamily.org/wiki/index.php?title=Main_Page.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 12:12 pm    Post subject: wsynth-dssi fetch failed Reply with quote

Code:

>>> Emerging (6 of 18) media-plugins/wsynth-dssi-0.1.3 from proaudio
>>> Downloading 'http://static.nekosynth.co.uk/releases/wsynth-dssi-0.1.3.tar.gz'
--2009-03-16 00:20:46--  http://static.nekosynth.co.uk/releases/wsynth-dssi-0.1.3.tar.gz
Resolving static.nekosynth.co.uk... 81.19.112.75
Connecting to static.nekosynth.co.uk|81.19.112.75|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-03-16 00:20:46 ERROR 404: Not Found.

!!! Couldn't download 'wsynth-dssi-0.1.3.tar.gz'. Aborting.
 * Fetch failed for 'media-plugins/wsynth-dssi-0.1.3', Log file:
 *  '/var/tmp/portage/media-plugins/wsynth-dssi-0.1.3/temp/build.log'

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 1:30 pm    Post subject: dssi-vst compiles but fails to install Reply with quote

This one actually compiles but fails to install.

Code:

>>> Install dssi-vst-0.8 into /var/tmp/portage/media-plugins/dssi-vst-0.8/image/ category media-plugins
mkdir -p /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/lib/dssi/dssi-vst
mkdir -p /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/lib/ladspa
mkdir -p /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/bin
install dssi-vst.so /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/lib/dssi
install dssi-vst.so /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/lib/ladspa
install dssi-vst-server.exe.so dssi-vst-server dssi-vst-scanner.exe.so dssi-vst-scanner dssi-vst_gui /var/tmp/portage/media-plugins/dssi-vst-0.8/image//usr/lib/dssi/dssi-vst
install: cannot stat `dssi-vst-server': No such file or directory
install: cannot stat `dssi-vst-scanner': No such file or directory
make: *** [install] Error 1
 *
 * ERROR: media-plugins/dssi-vst-0.8 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_install
 *             environment, line  737:  Called die
 * The specific snippet of code:
 *       make BINDIR="${D}/usr/bin" DSSIDIR="${D}/usr/$(get_libdir)/dssi" LADSPADIR="${D}/usr/$(get_libdir)/ladspa" install || die "install failed";
 *  The die message:
 *   install failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-plugins/dssi-vst-0.8/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-plugins/dssi-vst-0.8/temp/environment'.
 * This ebuild is from an overlay named 'proaudio': '/usr/local/portage/layman/pro-audio/'
 *

>>> Failed to emerge media-plugins/dssi-vst-0.8, Log file:

>>>  '/var/tmp/portage/media-plugins/dssi-vst-0.8/temp/build.log'

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Mar 16, 2009 1:35 pm    Post subject: Reply with quote

The best place for bug reports is the mailing list currently, until evermind brings back the bugtracker.

* Forget about wired, it's old and never really worked at all. I never ever got a single noise out of it since it first appeared years ago, aside from the short crackle when it crashes. It would have become a super audio app, but they oh so wanted it to be cross-plattform, using portaudio crap.

* libdsp: no idea why we still have it in the overlay, will check that later maybe. Thanks.

* wsynth-dssi: contact upstream, obviously the homepage is screwed, see http://www.nekosynth.co.uk/wiki/wsynth - the file should be there.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay


Last edited by gimpel on Mon Mar 16, 2009 1:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 1:38 pm    Post subject: rtsynth fetch fails Reply with quote

Code:

>>> Emerging (2 of 10) media-sound/rtsynth-1.9.2 from proaudio
>>> Downloading 'ftp://ftp.suse.com/pub/suse/i386/9.3/suse/src/rtsynth-1.9.2-32.src.rpm'
--2009-03-16 08:31:21--  ftp://ftp.suse.com/pub/suse/i386/9.3/suse/src/rtsynth-1.9.2-32.src.rpm
           => `/usr/portage/distfiles/rtsynth-1.9.2-32.src.rpm'
Resolving ftp.suse.com... 195.135.221.132
Connecting to ftp.suse.com|195.135.221.132|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/suse/i386/9.3/suse/src ...
No such directory `pub/suse/i386/9.3/suse/src'.

!!! Couldn't download 'rtsynth-1.9.2-32.src.rpm'. Aborting.
 * Fetch failed for 'media-sound/rtsynth-1.9.2', Log file:
 *  '/var/tmp/portage/media-sound/rtsynth-1.9.2/temp/build.log'

>>> Failed to emerge media-sound/rtsynth-1.9.2, Log file:

>>>  '/var/tmp/portage/media-sound/rtsynth-1.9.2/temp/build.log'

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 2:11 pm    Post subject: whysynth fetch fails Reply with quote

Code:

>>> Emerging (1 of 8) media-plugins/whysynth-20070418 from proaudio
>>> Downloading 'http://home.jps.net/~musound/whysynth-20070418.tar.bz2'
--2009-03-16 08:36:30--  http://home.jps.net/~musound/whysynth-20070418.tar.bz2
Resolving home.jps.net... 207.217.98.17, 207.217.98.16
Connecting to home.jps.net|207.217.98.17|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-03-16 08:36:31 ERROR 404: Not Found.

!!! Couldn't download 'whysynth-20070418.tar.bz2'. Aborting.
 * Fetch failed for 'media-plugins/whysynth-20070418', Log file:
 *  '/var/tmp/portage/media-plugins/whysynth-20070418/temp/build.log'

>>> Failed to emerge media-plugins/whysynth-20070418, Log file:

>>>  '/var/tmp/portage/media-plugins/whysynth-20070418/temp/build.log'

 * Messages for package media-plugins/whysynth-20070418:

 * Fetch failed for 'media-plugins/whysynth-20070418', Log file:
 *  '/var/tmp/portage/media-plugins/whysynth-20070418/temp/build.log'


What's up with all the fetch fails? Is the pro-audio overlay maintained any more?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 16, 2009 2:17 pm    Post subject: amb-plugins fetch-a fail-a Reply with quote

Code:

>>> Emerging (3 of 7) media-plugins/amb-plugins-0.3.0 from proaudio
>>> Downloading 'http://www.kokkinizita.net/linuxaudio/downloads/AMB-plugins-0.3.0.tar.bz2'
--2009-03-16 09:14:15--  http://www.kokkinizita.net/linuxaudio/downloads/AMB-plugins-0.3.0.tar.bz2
Resolving www.kokkinizita.net... 80.237.132.104
Connecting to www.kokkinizita.net|80.237.132.104|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-03-16 09:14:15 ERROR 404: Not Found.

!!! Couldn't download 'AMB-plugins-0.3.0.tar.bz2'. Aborting.
 * Fetch failed for 'media-plugins/amb-plugins-0.3.0', Log file:
 *  '/var/tmp/portage/media-plugins/amb-plugins-0.3.0/temp/build.log'

>>> Failed to emerge media-plugins/amb-plugins-0.3.0, Log file:

>>>  '/var/tmp/portage/media-plugins/amb-plugins-0.3.0/temp/build.log'

 * Messages for package media-plugins/amb-plugins-0.3.0:

 * Fetch failed for 'media-plugins/amb-plugins-0.3.0', Log file:
 *  '/var/tmp/portage/media-plugins/amb-plugins-0.3.0/temp/build.log'

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Mar 16, 2009 9:19 pm    Post subject: Re: whysynth fetch fails Reply with quote

audiodef wrote:
What's up with all the fetch fails? Is the pro-audio overlay maintained any more?

It is, but effectively by 2 or 3 persons, and none of us emerges the whole overlay once a month to see if all URLs are still working.

If you are willing to help even more, then you could fire up google, see what's going on at the upstream page, fix SRC_URI if possible, and send us a patch to the mailing list. (bug reports are nice already, but patches are even nicer :))
Or even better: ask for an SVN account, and commit yourself.

It's a user-driven overlay afterall.


I'm spending more time on the multilib-overlay to be honest. Just commited a native multilib jack-audio-connection-kit. With that one can connect 32bit clients like wine/wineasio to the 64bit server, which isn't possible with the current libjack in the emul-linux soundlibs package. Woohoo, time to play with Ableton.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Tue Mar 17, 2009 1:06 am    Post subject: Re: whysynth fetch fails Reply with quote

gimpel wrote:
Or even better: ask for an SVN account, and commit yourself.

It's a user-driven overlay afterall.


Ok, I'm asking. 8)

I would absolutely not mind helping out this way. I'm a full-time working musician with the goal of leaving Microgoop behind altogether in the near future, and I think this overlay is the bees knees.

So what do I need to do to be a maintainer?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Mar 17, 2009 9:15 am    Post subject: Re: whysynth fetch fails Reply with quote

audiodef wrote:
gimpel wrote:
Or even better: ask for an SVN account, and commit yourself.

It's a user-driven overlay afterall.


Ok, I'm asking. 8)

I would absolutely not mind helping out this way. I'm a full-time working musician with the goal of leaving Microgoop behind altogether in the near future, and I think this overlay is the bees knees.

So what do I need to do to be a maintainer?

Cool! All you need is an account at http://tuxfamily.org
Just PM me your username there, and I'll add you to the project and give you access to svn.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Shamus397
Tux's lil' helper
Tux's lil' helper


Joined: 03 Apr 2005
Posts: 126
Location: Ur-th

PostPosted: Tue Mar 17, 2009 1:18 pm    Post subject: Reply with quote

CLAM Annotator 0.3.10 doesn't build (this is with Qt 4.5.0):

Code:
== Compiling src/DescriptorTableController.cxx                                 
In file included from src/SchemaAttribute.hxx:33,                               
                 from src/Schema.hxx:26,                                       
                 from src/Project.hxx:25,                                       
                 from src/DescriptorTableController.cxx:23:                     
src/Enumerated.hxx: In member function 'const std::type_info& CLAM_Annotator::Enumerated::GetChainedTypeId(CLAM_Annotator::Enumerated::AttributePosition<1u>*, unsigned int) const':                                                           
src/Enumerated.hxx:37: error: must #include <typeinfo> before using typeid     
src/Enumerated.hxx: In member function 'const std::type_info& CLAM_Annotator::Enumerated::GetChainedTypeId(CLAM_Annotator::Enumerated::AttributePosition<0u>*, unsigned int) const':                                                           
src/Enumerated.hxx:38: error: must #include <typeinfo> before using typeid     
In file included from src/Schema.hxx:26,                                       
                 from src/Project.hxx:25,                                       
                 from src/DescriptorTableController.cxx:23:                     
src/SchemaAttribute.hxx: In member function 'const std::type_info& CLAM_Annotator::SchemaAttribute::GetChainedTypeId(CLAM_Annotator::SchemaAttribute::AttributePosition<14u>*, unsigned int) const':                                           
src/SchemaAttribute.hxx:74: error: must #include <typeinfo> before using typeid
src/SchemaAttribute.hxx: In member function 'const std::type_info& CLAM_Annotator::SchemaAttribute::GetChainedTypeId(CLAM_Annotator::SchemaAttribute::AttributePosition<0u>*, unsigned int) const':                                             
src/SchemaAttribute.hxx:75: error: must #include <typeinfo> before using typeid
src/SchemaAttribute.hxx: In member function 'const std::type_info& CLAM_Annotator::SchemaAttribute::GetChainedTypeId(CLAM_Annotator::SchemaAttribute::AttributePosition<1u>*, unsigned int) const':                                             
src/SchemaAttribute.hxx:76: error: must #include <typeinfo> before using typeid
src/SchemaAttribute.hxx: In member function 'const std::type_info& CLAM_Annotator::SchemaAttribute::GetChainedTypeId(CLAM_Annotator::SchemaAttribute::AttributePosition<2u>*, unsigned int) const':
...

And the errors keep going for a few pages but this is the relevant portion.
Back to top
View user's profile Send private message
daseinhorn
Apprentice
Apprentice


Joined: 16 Jan 2009
Posts: 150
Location: Canada

PostPosted: Mon Mar 23, 2009 1:05 am    Post subject: Reply with quote

When I try to emerge jack-audio-connection-kit 1.9.1 from this overlay, the install does not go beyond this:

[138/175] cxx: common/JackNetDriver.cpp -> build/default/common/JackNetDriver_4.o
[139/175] cxx: example-clients/server_control.cpp -> build/default/example-clients/server_control_5.o
[140/175] cxx: tests/test.cpp -> build/default/tests/test_1.o
[141/175] cxx: tests/jdelay.cpp -> build/default/tests/jdelay_3.o
[142/175] cxx: tests/external_metro.cpp -> build/default/tests/external_metro_4.o

It just plain stops, and I have to press ctrl + c to cancel it.

My emerge --info

Code:
xavier-pc Documents # emerge --info
Portage 2.1.6.9 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r4 x86_64)                                                                             
=================================================================                             
System uname: Linux-2.6.28-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-glibc2.2.5                                                                                       
Timestamp of tree: Sun, 22 Mar 2009 19:45:01 +0000                                             
app-shells/bash:     4.0_p10-r1                                                               
dev-java/java-config: 2.1.7                                                                   
dev-lang/python:     2.5.4-r2                                                                 
dev-util/cmake:      2.6.3                                                                     
sys-apps/baselayout: 2.0.0                                                                     
sys-apps/openrc:     0.4.3-r1                                                                 
sys-apps/sandbox:    1.6                                                                       
sys-devel/autoconf:  2.13, 2.63                                                               
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                 
sys-devel/binutils:  2.19.1-r1                                                                 
sys-devel/gcc-config: 1.4.1                                                                   
sys-devel/libtool:   2.2.6a                                                                   
virtual/os-headers:  2.6.28-r1                                                                 
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                 
CBUILD="x86_64-pc-linux-gnu"                                                                   
CFLAGS="-O2 -pipe"                                                                             
CHOST="x86_64-pc-linux-gnu"                                                                   
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"                                                                                     
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                                                                                         
CXXFLAGS="-O2 -pipe"                                                                           
DISTDIR="/usr/portage/distfiles"                                                               
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                               
GENTOO_MIRRORS="ftp://mirrors.tera-byte.com/pub/gentoo ftp://mirror.fslutd.org/linux/distributions/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US fr fr_CA nb no nb_NO"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/nouveau /usr/local/portage/layman/pro-audio"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amd64 automount avahi berkdb branding bzip2 cairo cdda cddb cdr cdrkit cli cracklib crypt css cuda cups dbus dhcp dri dts dvb dvbd dvd dvdr dvdread eds embedded emboss encode esd evo fam ffmpeg firefox flac fluidsynth fortran fuse gdbm gif gimp git gnome gpm gstreamer gtk hal iconv isdnlog jack java joystick jpeg kate kde kdeenablefinal ldap libnotify mad mdnsresponder-compat midi mikmod mmx mng mp3 mpeg msn mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd ptp2 pulseaudio python qt3 qt3support qt4 quicktime readline reflection resolvconf samba sdl session skins spell spl sse sse2 sse3 ssl startup-notification subversion svg symlink sysfs tcpd tga theora tiff truetype unicode usb v4l v4l2 vcd vorbis webkit wiki x264 xcb xcomposite xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ICE1724" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US fr fr_CA nb no nb_NO" USERLAND="GNU"VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Do you guys have any suggestions of things to change in order to make it work? Thanks!
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 23, 2009 3:51 pm    Post subject: Reply with quote

Shamus397 wrote:
CLAM Annotator 0.3.10 doesn't build (this is with Qt 4.5.0):


Shamus, could you post your emerge --info, please?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 23, 2009 3:56 pm    Post subject: Reply with quote

daseinhorn wrote:
When I try to emerge jack-audio-connection-kit 1.9.1 from this overlay, the install does not go beyond this:

[138/175] cxx: common/JackNetDriver.cpp -> build/default/common/JackNetDriver_4.o
[139/175] cxx: example-clients/server_control.cpp -> build/default/example-clients/server_control_5.o
[140/175] cxx: tests/test.cpp -> build/default/tests/test_1.o
[141/175] cxx: tests/jdelay.cpp -> build/default/tests/jdelay_3.o
[142/175] cxx: tests/external_metro.cpp -> build/default/tests/external_metro_4.o

It just plain stops, and I have to press ctrl + c to cancel it.



daseinhorn (Das ein horn? Hmmm... :P ), could you switch to an earlier version of gcc - just temporarily - and tell me what happens when you emerge jack-audio-connection-kit? What you'd do is this:

gcc-config -l

What you'll probably see is this:
Code:

 [1] i686-pc-linux-gnu-4.1.2
 [2] i686-pc-linux-gnu-4.3.3 *


If so, type:

gcc-config i686-pc-linux-gnu-4.1.2

Then check gcc-config -l again, which should say:

Code:

 [1] i686-pc-linux-gnu-4.1.2 *
 [2] i686-pc-linux-gnu-4.3.3


With the asterisk after the first one. Now try emerging jack-audio-connection-kit and let me know if it works. Whether it does or not, you should switch back to gcc-4.3.3 using the method I just described.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
daseinhorn
Apprentice
Apprentice


Joined: 16 Jan 2009
Posts: 150
Location: Canada

PostPosted: Mon Mar 23, 2009 5:05 pm    Post subject: Reply with quote

audiodef wrote:
daseinhorn wrote:
When I try to emerge jack-audio-connection-kit 1.9.1 from this overlay, the install does not go beyond this:

[138/175] cxx: common/JackNetDriver.cpp -> build/default/common/JackNetDriver_4.o
[139/175] cxx: example-clients/server_control.cpp -> build/default/example-clients/server_control_5.o
[140/175] cxx: tests/test.cpp -> build/default/tests/test_1.o
[141/175] cxx: tests/jdelay.cpp -> build/default/tests/jdelay_3.o
[142/175] cxx: tests/external_metro.cpp -> build/default/tests/external_metro_4.o

It just plain stops, and I have to press ctrl + c to cancel it.



daseinhorn (Das ein horn? Hmmm... :P ), could you switch to an earlier version of gcc - just temporarily - and tell me what happens when you emerge jack-audio-connection-kit? What you'd do is this:

gcc-config -l

What you'll probably see is this:
Code:

 [1] i686-pc-linux-gnu-4.1.2
 [2] i686-pc-linux-gnu-4.3.3 *


If so, type:

gcc-config i686-pc-linux-gnu-4.1.2

Then check gcc-config -l again, which should say:

Code:

 [1] i686-pc-linux-gnu-4.1.2 *
 [2] i686-pc-linux-gnu-4.3.3


With the asterisk after the first one. Now try emerging jack-audio-connection-kit and let me know if it works. Whether it does or not, you should switch back to gcc-4.3.3 using the method I just described.


I only have the 4.3.3 profile installed. The other one probably got removed when I did an emerge --depclean command when I built the system. Is that a reported regression?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Mar 23, 2009 5:37 pm    Post subject: Reply with quote

The Waf script or whatever seems broken.
Just added 1.9.2 and it exhibits the same issue.

Hardmasked for that reason.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Mon Mar 23, 2009 6:34 pm    Post subject: Reply with quote

I just synced the overlay and now emerge wants to downgrade jack-audio-connection-kit to 0.116.2. I assume this has to do with what Gimpel just posted, although I had no trouble with the previous higher version.

But trying to emerge the earlier version now in the overlay gets me this:

Code:

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/portage/layman/pro-audio/media-sound/jack-audio-connection-kit/files/jack-audio-connection-kit-0.116.2-dbus.patch
 *   ( jack-audio-connection-kit-0.116.2-dbus.patch )
 *
 * ERROR: media-sound/jack-audio-connection-kit-0.116.2 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_unpack
 *             environment, line 2907:  Called epatch '/usr/local/portage/layman/pro-audio/media-sound/jack-audio-connection-kit/files/jack-audio-connection-kit-0.116.2-dbus.patch'
 *             environment, line 1602:  Called die
 * The specific snippet of code:
 *                   die "Cannot find $EPATCH_SOURCE!";
 *  The die message:
 *   Cannot find $EPATCH_SOURCE!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/jack-audio-connection-kit-0.116.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/jack-audio-connection-kit-0.116.2/temp/environment'.
 * This ebuild is from an overlay named 'proaudio': '/usr/local/portage/layman/pro-audio/'


Maybe dbus.patch was accidentally omitted?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org


Last edited by audiodef on Mon Mar 23, 2009 6:43 pm; edited 2 times in total
Back to top
View user's profile Send private message
daseinhorn
Apprentice
Apprentice


Joined: 16 Jan 2009
Posts: 150
Location: Canada

PostPosted: Mon Mar 23, 2009 6:36 pm    Post subject: Reply with quote

audiodef wrote:
It's my understanding that it's common for programs to have issues with the latest gcc and sometimes need either an older gcc or a patch for the ebuild.

But... I have gcc 4.3.3 and that didn't stop jack-audio-connection-kit from compiling on my machine. Post your emerge --info, maybe we can find your problem somewhere else.


As requested.

Code:
xavier-pc Documents # emerge --info
Portage 2.1.6.9 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r4 x86_64)                                                                             
=================================================================                             
System uname: Linux-2.6.28-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-glibc2.2.5                                                                                       
Timestamp of tree: Sun, 22 Mar 2009 19:45:01 +0000                                             
app-shells/bash:     4.0_p10-r1                                                               
dev-java/java-config: 2.1.7                                                                   
dev-lang/python:     2.5.4-r2                                                                 
dev-util/cmake:      2.6.3                                                                     
sys-apps/baselayout: 2.0.0                                                                     
sys-apps/openrc:     0.4.3-r1                                                                 
sys-apps/sandbox:    1.6                                                                       
sys-devel/autoconf:  2.13, 2.63                                                               
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                 
sys-devel/binutils:  2.19.1-r1                                                                 
sys-devel/gcc-config: 1.4.1                                                                   
sys-devel/libtool:   2.2.6a                                                                   
virtual/os-headers:  2.6.28-r1                                                                 
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                 
CBUILD="x86_64-pc-linux-gnu"                                                                   
CFLAGS="-O2 -pipe"                                                                             
CHOST="x86_64-pc-linux-gnu"                                                                   
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"                                                                                     
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                                                                                         
CXXFLAGS="-O2 -pipe"                                                                           
DISTDIR="/usr/portage/distfiles"                                                               
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                               
GENTOO_MIRRORS="ftp://mirrors.tera-byte.com/pub/gentoo ftp://mirror.fslutd.org/linux/distributions/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US fr fr_CA nb no nb_NO"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/nouveau /usr/local/portage/layman/pro-audio"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amd64 automount avahi berkdb branding bzip2 cairo cdda cddb cdr cdrkit cli cracklib crypt css cuda cups dbus dhcp dri dts dvb dvbd dvd dvdr dvdread eds embedded emboss encode esd evo fam ffmpeg firefox flac fluidsynth fortran fuse gdbm gif gimp git gnome gpm gstreamer gtk hal iconv isdnlog jack java joystick jpeg kate kde kdeenablefinal ldap libnotify mad mdnsresponder-compat midi mikmod mmx mng mp3 mpeg msn mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd ptp2 pulseaudio python qt3 qt3support qt4 quicktime readline reflection resolvconf samba sdl session skins spell spl sse sse2 sse3 ssl startup-notification subversion svg symlink sysfs tcpd tga theora tiff truetype unicode usb v4l v4l2 vcd vorbis webkit wiki x264 xcb xcomposite xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ICE1724" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US fr fr_CA nb no nb_NO" USERLAND="GNU"VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


I had some extra overlays added to the tree (berkano for instance), I have commented out the line in my make.conf and have downgraded some of the updates I fetched from all the extra overlays. With that clean configuration, it is likely to be easier to track issues.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Mar 23, 2009 6:59 pm    Post subject: Reply with quote

audiodef wrote:
I just synced the overlay and now emerge wants to downgrade jack-audio-connection-kit to 0.116.2. I assume this has to do with what Gimpel just posted, although I had no trouble with the previous higher version.

That's weird, because there is no 0.116.2 ebuild in the overlay o.O
EDIT: suddenly there is. Marc forgot the patch.

Code:
svn st
shows you local changes.

If you want to keep 1.9.1 or update to 1.9.2, just put it in /etc/portage/package.unmask
I have the same issues as daseinhorn, and no idea how to debug that waf crap.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5191

PostPosted: Tue Mar 24, 2009 12:25 pm    Post subject: Reply with quote

gimpel wrote:

If you want to keep 1.9.1 or update to 1.9.2, just put it in /etc/portage/package.unmask
I have the same issues as daseinhorn, and no idea how to debug that waf crap.


What's waf? I'm having a sick day, so maybe I'll look into it myself while I'm puttering around on the net.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.gentoostudio.org
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Mar 24, 2009 1:02 pm    Post subject: Reply with quote

audiodef wrote:
gimpel wrote:

If you want to keep 1.9.1 or update to 1.9.2, just put it in /etc/portage/package.unmask
I have the same issues as daseinhorn, and no idea how to debug that waf crap.


What's waf? I'm having a sick day, so maybe I'll look into it myself while I'm puttering around on the net.

Waf is the build system used for jack2.

Are you running a 32bit system? After some discussion with Marc-Olivier yesterday, we suspect the problem might be sandbox-1.6 on ~amd64. It works fine if I compile manually.

But even if it works on x86, I prefer to keep it "hardmasked for testing", as forcing an upgrade to jack2 on all overlay users isn't nice. Whoever wants to play with jack2 just has to unmask it.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Mar 24, 2009 2:31 pm    Post subject: Reply with quote

@ daseinhorn
Try
Code:
FEATURES="-sandbox" emerge jack-audio-connection-kit

if you want to test jack-1.9.x. Additionally you have to unmask it
Code:
echo "media-sound/jack-audio-connection-kit" >> /etc/portage/package.mask


It's an issue with =sandbox-1.6
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 30, 31, 32, 33  Next
Page 31 of 33

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum